.details-overlay {
    position: absolute;
    left: -50px;
    min-width: 300px;
    bottom: 13px;
}

.details-overlay.hidden {
    display: none;
}

.details-overlay:after, .details-overlay:before {
    top: 100%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
}

.details-overlay:after {
    border-top-color: hsla(0, 0%, 26%, 0.9);
    border-width: 10px;
    left: 48px;
    margin-left: -10px;
}

.details-overlay:before {
    border-top-color: hsla(0, 0%, 26%, 0.9);
    border-width: 11px;
    left: 48px;
    margin-left: -11px;
}

.details-overlay .details-overlay-content {
    max-height: 300px;
    overflow-y: auto;
}

.details-overlay .heading {
    display: flex;
    justify-content: space-between;
}

.details-overlay .heading-item {
    flex: 1 0 auto;
    text-align: center;
    font-weight: 700;
}

.details-overlay .heading-item:first-child {
    text-align: left;
}

.details-overlay dl {
    margin: 0;
}

.details-overlay dt {
    float: left;
    width: 5em;
    text-align: right;
    margin-right: 0.7em;
}

.details-overlay dd {
    margin-left: 5.7em;
    white-space: nowrap;
}

.details-overlay dt:after {
    content: ":";
}
